# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88.0"
name = "puniyu_server"
version = "0.7.3"
authors = ["wuliya <3369906077@qq.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "puniyu 的服务器模块"
homepage = "https://github.com/puniyu/puniyu"
readme = "README.md"
license = "LGPL-3.0-only"
repository = "https://github.com/puniyu/puniyu"
resolver = "2"

[package.metadata.workspaces]
independent = true

[features]
cli = ["dep:clap"]
default = ["cli"]

[lib]
name = "puniyu_server"
path = "src/lib.rs"

[[bin]]
name = "puniyu_server"
path = "src/main.rs"

[dependencies.actix-web]
version = "4.11.0"

[dependencies.clap]
version = "4.5"
features = [
    "std",
    "derive",
    "help",
]
optional = true
default-features = false

[dependencies.flume]
version = "0.11"

[dependencies.futures-util]
version = "0.3.31"

[dependencies.puniyu_common]
version = "0.7.0"

[dependencies.puniyu_logger]
version = "0.6.4"

[dependencies.puniyu_registry]
version = "0.7.2"
features = ["server"]
default-features = false

[dependencies.puniyu_types]
version = "0.7.1"
features = ["server"]
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.tokio]
version = "1.47.1"
features = ["full"]
